## MicroPython Keypad Library - DIYables_MicroPython_Keypad
This MicroPython library is designed for any hardware plaform that supports MicroPython such as Raspberry Pi Pico, ESP32, Micro:bit... to make it easy to use with keypad 3x4, keypad 4x4. It is easy to use for not only beginners but also experienced users... 

It is created by DIYables to work with DIYables Keypad, but also work with products from other brands. Please consider purchasing products from [DIYables Store on Amazon](https://amazon.com/diyables) to support our works.



Features
----------------------------
* Works with any hardware plaform that supports MicroPython such as Raspberry Pi Pico, ESP32, Micro:bit...

Product Link
----------------------------
* [Keypad 3x4](https://diyables.io/products/keypad-3x4)
* [Keypad 4x4](https://diyables.io/products/keypad-4x4)


Available Functions
----------------------------
* \_\_init\_\_(keymap, row_pins, column_pins, num_rows, num_cols)
* get_key()
* set_debounce_time(time_ms)


Available Examples
----------------------------
* keypad_3x4.py
* keypad_4x4.py



Tutorials
----------------------------
* [Raspberry Pi Pico - Keypad 3x4](https://newbiely.com/tutorials/raspberry-pico/raspberry-pi-pico-keypad-3x4)
* [Raspberry Pi Pico - Keypad 4x4](https://newbiely.com/tutorials/raspberry-pico/raspberry-pi-pico-keypad-4x4)



References
----------------------------
* [MicroPython Keypad Library](https://newbiely.com/tutorials/micropython/micropython-keypad-library)
